// +build !ignore_autogenerated

/*
Copyright 2022.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	"k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HttpHeader) DeepCopyInto(out *HttpHeader) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HttpHeader.
func (in *HttpHeader) DeepCopy() *HttpHeader {
	if in == nil {
		return nil
	}
	out := new(HttpHeader)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HttpStatus) DeepCopyInto(out *HttpStatus) {
	*out = *in
	if in.Headers != nil {
		in, out := &in.Headers, &out.Headers
		*out = make([]HttpHeader, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HttpStatus.
func (in *HttpStatus) DeepCopy() *HttpStatus {
	if in == nil {
		return nil
	}
	out := new(HttpStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HttpTarget) DeepCopyInto(out *HttpTarget) {
	*out = *in
	out.Svc = in.Svc
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HttpTarget.
func (in *HttpTarget) DeepCopy() *HttpTarget {
	if in == nil {
		return nil
	}
	out := new(HttpTarget)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HttpTls) DeepCopyInto(out *HttpTls) {
	*out = *in
	out.ClientCertificate = in.ClientCertificate
	out.ServerTrustCA = in.ServerTrustCA
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HttpTls.
func (in *HttpTls) DeepCopy() *HttpTls {
	if in == nil {
		return nil
	}
	out := new(HttpTls)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *NsName) DeepCopyInto(out *NsName) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new NsName.
func (in *NsName) DeepCopy() *NsName {
	if in == nil {
		return nil
	}
	out := new(NsName)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *RestCr) DeepCopyInto(out *RestCr) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new RestCr.
func (in *RestCr) DeepCopy() *RestCr {
	if in == nil {
		return nil
	}
	out := new(RestCr)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *RestCr) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *RestCrList) DeepCopyInto(out *RestCrList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]RestCr, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new RestCrList.
func (in *RestCrList) DeepCopy() *RestCrList {
	if in == nil {
		return nil
	}
	out := new(RestCrList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *RestCrList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *RestCrSpec) DeepCopyInto(out *RestCrSpec) {
	*out = *in
	out.URL = in.URL
	out.Target = in.Target
	if in.Headers != nil {
		in, out := &in.Headers, &out.Headers
		*out = make([]HttpHeader, len(*in))
		copy(*out, *in)
	}
	if in.Contents != nil {
		in, out := &in.Contents, &out.Contents
		*out = make([]string, len(*in))
		copy(*out, *in)
	}
	out.Tls = in.Tls
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new RestCrSpec.
func (in *RestCrSpec) DeepCopy() *RestCrSpec {
	if in == nil {
		return nil
	}
	out := new(RestCrSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *RestCrStatus) DeepCopyInto(out *RestCrStatus) {
	*out = *in
	if in.Response != nil {
		in, out := &in.Response, &out.Response
		*out = make(map[string]HttpStatus, len(*in))
		for key, val := range *in {
			(*out)[key] = *val.DeepCopy()
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new RestCrStatus.
func (in *RestCrStatus) DeepCopy() *RestCrStatus {
	if in == nil {
		return nil
	}
	out := new(RestCrStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Url) DeepCopyInto(out *Url) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Url.
func (in *Url) DeepCopy() *Url {
	if in == nil {
		return nil
	}
	out := new(Url)
	in.DeepCopyInto(out)
	return out
}
